Bug 518654 - GUdev goes pop when unplugging and plugging devices
GUdev goes pop when unplugging and plugging devices
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-21 10:02 EDT by Richard Hughes
Modified: 2009-11-18 08:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from the daemon (1.73 KB, text/plain)
2009-08-21 10:02 EDT, Richard Hughes
no flags Details

  None (edit)
Description Richard Hughes 2009-08-21 10:02:50 EDT
Created attachment 358248 [details]
backtrace from the daemon

Description of problem:
Inserting and removing a USB UPS device can crash DeviceKit-power. The crash happens somewhere deep in GUdev.

Version-Release number of selected component (if applicable):
udev-145-4.fc12.i686

How reproducible:
Always, if you keep removing and inserting over and over again.

Steps to Reproduce:
1. Insert USB UPS, remove, insert, remove, insert
2. Session goes POP as DeviceKit-power gives up the ghost
  
Actual results:
Session quits as DeviceKit-power disappears.

Expected results:
Session works, and UPS device comes and goes.

Additional info:
Backtrace attached. I suspect this is a kernel problem, but it certainly shouldn't make GUdev go pop.
Comment 1 Harald Hoyer 2009-08-21 10:13:52 EDT
can you install the gudev debuginfo packages also? so the traceback will be more useful
Comment 2 Bug Zapper 2009-11-16 06:35:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard Hughes 2009-11-16 07:15:58 EST
I've not been able to reproduce this in a long time. I'll have a go at triggering it later today.
Comment 4 Richard Hughes 2009-11-18 08:55:28 EST
No, I can't trigger this anymore. Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.